package cpcns.danganzhengli.yinxiang.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.ibm.icu.text.SimpleDateFormat;
import cpcns.baoguanqixiancelue.service.IGQuanZongWeiHuService;
import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuan;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanService;
import cpcns.danganzhengli.yinxiang.model.DYinXiang;
import cpcns.danganzhengli.yinxiang.service.IYinXiangService;
import cpcns.dingZhi.peiZhiGuanLi.model.PeiZhiGuanLi;
import cpcns.dingZhi.peiZhiGuanLi.service.IPeiZhiGuanLiService;
import cpcns.gongyongzujian.dianzidangan.model.YinXiangFuJian;
import cpcns.gongyongzujian.dianzidangan.service.IFuJianService;
import cpcns.gongyongzujian.dianzidangan.util.FuJianConstants;
import cpcns.gongyongzujian.dianzidangan.util.FuJianPathUtils;
import cpcns.gongyongzujian.dianzidangan.util.ImageUtils;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.muluzhengli.service.IMuLuZhengLiService;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.FtpConfig;
import cpcns.utils.FtpUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import cpcns.utils.YeWuStatic;
import cpcns.utils.waterMark;
import it.sauronsoftware.jave.EncoderException;
import it.sauronsoftware.jave.InputFormatException;
import java.awt.image.BufferedImage;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.apache.tools.zip.ZipEntry;
import org.apache.tools.zip.ZipFile;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping({"/dYinXiang"})
public class YinXiangController extends commonController {
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IYinXiangService yinXiangService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDAnJuanService dAnJuanService;
  
  @Autowired
  private IGQuanZongWeiHuService quanZongWeiHuService;
  
  @Autowired
  public IFuJianService fuJianService;
  
  @Autowired
  public IMuLuZhengLiService muLuZhengLiService;
  
  @Autowired
  private IPeiZhiGuanLiService peiZhiGuanLiService;
  
  protected String tablePrefix;
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request) {
    String retu, hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String type = getRequest().getParameter("type");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    if (StringUtils.isBlank(quanZongHao))
      quanZongHao = ""; 
    String leiXing = getRequest().getParameter("leiXing");
    String menLei = getRequest().getParameter("menLei");
    if (StringUtils.isNotBlank(type)) {
      if (Integer.parseInt(type) == 1) {
        retu = "/danganzhengli/yinxiang/YinXiangDangAnList";
      } else if (Integer.parseInt(type) == 2) {
        retu = "/danganzhengli/yinxiang/YinXiangDangAnGuanLianList";
      } else {
        String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
        getRequest().setAttribute("hangBiaoShis", hangBiaoShis);
        retu = "/danganzhengli/yinxiang/addYinXianGuanLianList";
      } 
    } else {
      retu = "/danganzhengli/yinxiang/YinXiangDangAnList";
    } 
    if (menLei.endsWith("ZP")) {
      PeiZhiGuanLi pzgl = this.peiZhiGuanLiService.getPeiZhiGuanLi("zpNumber");
      if (pzgl != null && StringUtils.isNotBlank(pzgl.getInit_value()) && !pzgl.getInit_value().equals("0")) {
        getRequest().setAttribute("zpNumber", pzgl.getInit_value());
      } else {
        getRequest().setAttribute("zpNumber", "");
      } 
    } 
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("leiXing", leiXing);
    getRequest().setAttribute("type", type);
    getRequest().setAttribute("hangBiaoShi", hangBiaoShi);
    return retu;
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    Map<String, String> qx = user.getQuanXianMap();
    StringBuffer sqlWhere = new StringBuffer(" and zhuangTai not in (3,4,7) ");
    boolean fl = this.commonService.getInitVal("chaXunQuanXianKongZhi", "chaXunQuanXianKongZhi");
    if (fl) {
      Map<String, String> tjmap = new HashMap<>();
      String quanZongHao = request.getParameter("quanZongHao");
      String checkbox = (getRequest().getParameter("checkbox") == null) ? "false" : getRequest().getParameter("checkbox");
      String all_qz = this.quanZongWeiHuService.getAllQzuanZhong(user.getQuanZongHao());
      tjmap.put("guanLianQuanZong", all_qz);
      tjmap.put("checkbox", checkbox);
      tjmap.put("quanZongHao", quanZongHao);
      tjmap.put("table", this.table);
      sqlWhere.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
    } 
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !key.equals("checkbox")) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (key.equals("guanLianBiaoShi") && value.equals("1")) {
            sqlWhere.append(" and guanLianBiaoShi > 0");
            continue;
          } 
          if (key.equals("guanLianBiaoShi") && value.equals("2")) {
            sqlWhere.append(" and guanLianBiaoShi =").append("0");
            continue;
          } 
          if (key.equals("zhuangTai")) {
            if (value.equals("1")) {
              sqlWhere.append(" and zhuangTai =").append(value);
              continue;
            } 
            if (value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2)");
              continue;
            } 
            if (value.equals("5"))
              sqlWhere.append(" and zhuangTai =").append(value); 
            continue;
          } 
          if (!key.contains("like")) {
            if (key.contains("hangBiaoShi")) {
              String[] hbs = key.split("_");
              if (!"in".equals(hbs[1])) {
                if ("serach".equals(hbs[1])) {
                  sqlWhere.append(" and hangBiaoShi in (" + value + ")");
                  continue;
                } 
                sqlWhere.append(" and hangBiaoShi not in (" + value + ")");
              } 
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    String menLei = request.getParameter("menLei");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    String paixutiaojian = this.yinXiangService.paiXuTiaoJian(String.valueOf(this.table.toUpperCase()) + "_" + menLei);
    if (StringUtils.isBlank(paixutiaojian))
      paixutiaojian = "quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao asc"; 
    System.out.println(paixutiaojian);
    PagerVO pagevo = this.yinXiangService.getAllOderBy(start, number, sqlWhere.toString(), CommStatic.getOrderBy(request, paixutiaojian));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("GESHU", "geShu").replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi")
      .replaceAll("BIAOTI", "biaoTi").replaceAll("MIJI", "miJi").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian")
      .replaceAll("ZERENZHE", "zeRenZhe").replaceAll("DENGJIRIQI", "dengJiRiQi").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi").replaceAll("ZHUANGTAI", "zhuangTai")
      .replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("DANGHAO", "dangHao");
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"/newAdd.do"})
  public String newAdd(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String czlx = getRequest().getParameter("czlx");
    String leiXing = getRequest().getParameter("leiXing");
    String zpNumber = getRequest().getParameter("zpNumber");
    DYinXiang dYinXiang = new DYinXiang();
    String menLei = getRequest().getParameter("menLei");
    if (StringUtils.isBlank(hangBiaoShi)) {
      User use = getCurrentUser();
      String[] bm = use.getBuMenMingChengs().split(" ");
      dYinXiang.setMenLei(menLei);
      dYinXiang.setDengJiRiQi(new Date());
      dYinXiang.setGuiDangRenMingCheng(use.getMingCheng());
      dYinXiang.setGuiDangRenBiaoShi(use.getBiaoShi());
      dYinXiang.setQuanZongHao(use.getQuanZongHao());
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(use.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          dYinXiang.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          dYinXiang.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      Integer xuHao = this.yinXiangService.getLXxuHao("LX", "");
      System.out.println("==================" + xuHao);
      dYinXiang.setXuHao(xuHao);
      dYinXiang.setLiJuanDanWeiMingCheng(bm[0]);
      dYinXiang.setLiJuanDanWeiBiaoShi(Integer.valueOf(use.findRootBuMenBiaoShi()));
      dYinXiang.setGeShu(Integer.valueOf(0));
      dYinXiang.setKaiFangZhuangTai(Integer.valueOf(0));
      dYinXiang.setZhuangTai(Integer.valueOf(0));
      dYinXiang.setGuanLianBiaoShi(Integer.valueOf(0));
      dYinXiang.setJieYueZhuangTai(Integer.valueOf(0));
      dYinXiang.setShenHeZhuangTai(Integer.valueOf(0));
      if (leiXing != null && StringUtils.isNotBlank(leiXing))
        dYinXiang.setLeiXing(Integer.valueOf(Integer.parseInt(leiXing))); 
    } else {
      String keyWordResult = getRequest().getParameter("keyWordResult");
      dYinXiang = (DYinXiang)this.yinXiangService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      menLei = dYinXiang.getMenLei();
      getRequest().setAttribute("keyWordResult", keyWordResult);
      String guanLianBiaoShi = hangBiaoShi;
      int gs = this.yinXiangService.getSumCount(this.server, "D_YINXIANGFUJIAN", guanLianBiaoShi, 0);
      dYinXiang.setGeShu(Integer.valueOf(gs));
      getRequest().setAttribute("czlx", czlx);
      getRequest().setAttribute("keyWordResult", keyWordResult);
      if (!leiXing.equals("1")) {
        String sql_ = "select f.shichang shichang from  D_YINXIANGFUJIAN f where f.guanlianbiaoshi=" + hangBiaoShi;
        List list_ = this.commonService.getListSQL(sql_);
        String hour = YeWuStatic.getHours(this.commonService.getDataType(), list_);
        dYinXiang.setSheYingShiChang(hour);
      } 
      this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", dYinXiang.getHangBiaoShi(), String.valueOf(dYinXiang.getBiaoTi()) + "$." + dYinXiang.getDangHao() + "$." + dYinXiang.getMenLei(), "查看");
    } 
    getRequest().setAttribute("zpNumber", zpNumber);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    getRequest().setAttribute("dYinXiang", dYinXiang);
    if (leiXing.equals("1"))
      return "/danganzhengli/yinxiang/PicDangAnEdit"; 
    if ("4".equals(leiXing))
      return "/danganzhengli/yinxiang/PicDangAnEdit"; 
    return "/danganzhengli/yinxiang/YinXiangDangAnEdit";
  }
  
  @RequestMapping({"/copy.do"})
  public void copy(HttpServletRequest request, HttpServletResponse response) {
    DYinXiang dYinXiang = new DYinXiang();
    User use = getCurrentUser();
    String[] bm = use.getBuMenMingChengs().split(" ");
    String menLei = getRequest().getParameter("menLei");
    dYinXiang.setMenLei(menLei);
    dYinXiang.setDengJiRiQi(new Date());
    dYinXiang.setGuiDangRenMingCheng(use.getMingCheng());
    dYinXiang.setGuiDangRenBiaoShi(use.getBiaoShi());
    if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
      JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(use.findCurrentBuMenBiaoShi()));
      if (jg != null) {
        dYinXiang.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
        dYinXiang.setGuiDangBuMenMingCheng(jg.getMingCheng());
      } 
    } 
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    dYinXiang.setLiJuanDanWeiMingCheng(bm[0]);
    dYinXiang.setLiJuanDanWeiBiaoShi(Integer.valueOf(use.findRootBuMenBiaoShi()));
    dYinXiang.setGeShu(Integer.valueOf(0));
    dYinXiang.setKaiFangZhuangTai(Integer.valueOf(0));
    dYinXiang.setZhuangTai(Integer.valueOf(0));
    dYinXiang.setGuanLianBiaoShi(Integer.valueOf(0));
    dYinXiang.setJieYueZhuangTai(Integer.valueOf(0));
    dYinXiang.setShenHeZhuangTai(Integer.valueOf(0));
    String Y = JsonWithJacksonUtils.getInstance().obj2Json(dYinXiang);
    responseWriter(response, Y);
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void saveYinXiang(HttpServletRequest request, HttpServletResponse response) {
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    ResultMessage rm = new ResultMessage();
    String info = "";
    String rizhiInfo = "修改";
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DYinXiang t = (DYinXiang)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DYinXiang.class);
    String biaoTi = getRequest().getParameter("biaoTi");
    String leiXing = request.getParameter("leiXing");
    Map<String, String> map = new HashMap<>();
    map.put("server", this.server);
    map.put("table", this.table);
    map.put("biaoTiString", biaoTi);
    map.put("zhuangTai_not", "3");
    map.put("guiDangNianDu", String.valueOf(t.getGuiDangNianDu()));
    map.put("leiXing", leiXing);
    if (t.getHangBiaoShi() != null && t.getHangBiaoShi().intValue() > 0)
      map.put("hangBiaoShi_not", String.valueOf(getHangBiaoShi())); 
    if (t != null) {
      if (!this.yinXiangService.IsExist(map)) {
        if (t.getHangBiaoShi() == null || t.getHangBiaoShi().equals("")) {
          t.setHangBiaoShi(Integer.valueOf(this.yinXiangService.getPk()));
          t.setZhuangTai(Integer.valueOf(0));
          t.setJieYueZhuangTai(Integer.valueOf(0));
          t.setShenHeZhuangTai(Integer.valueOf(0));
          rizhiInfo = "新增";
        } 
        try {
          if (Integer.valueOf(guanLianBiaoShi).intValue() > 0) {
            StringBuffer sql = new StringBuffer();
            DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(guanLianBiaoShi));
            int fenShu = anJuan.getFenShu().intValue();
            int miJi = anJuan.getMiJi().intValue();
            if (miJi < t.getMiJi().intValue())
              miJi = t.getMiJi().intValue(); 
            if (fenShu == 0) {
              sql.append(" update D_AnJuan set fenShu=1,miJi=" + miJi + " where hangBiaoShi=" + guanLianBiaoShi);
              this.yinXiangService.update(sql.toString());
            } else if (Integer.valueOf(this.hangBiaoShi.intValue()).intValue() < 0) {
              fenShu = anJuan.getFenShu().intValue() + 1;
              sql.append(" update D_AnJuan set fenShu='" + fenShu + "',miJi=" + miJi + " where hangBiaoShi=" + guanLianBiaoShi);
              this.yinXiangService.update(sql.toString());
            } 
          } 
          this.yinXiangService.saveOrUpdate(t);
          rm.setSuccess(true);
          rm.addResultMessage("hangBiaoShi", t.getHangBiaoShi());
          info = "保存成功！";
          this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), rizhiInfo);
        } catch (Exception e) {
          e.printStackTrace();
          info = "保存失败，请联系管理员！";
          rm.setSuccess(false);
        } 
      } else {
        rm.setSuccess(false);
        info = "题名已存在";
      } 
    } else {
      info = "数据转换错误，请连续管理员！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.commonService.deleteByUser(getCurrentUser(), getServer(), getTable(), ids);
        rm.setSuccess(true);
        info = "删除成功！";
        User user = getLoginUser(request);
        this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", "biaoTi,dangHao,menLei", ids, "删除");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/yxGuiDang.do"})
  @ResponseBody
  public void yxGuiDang(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShis");
    String value = getRequest().getParameter("value");
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(value)) {
      StringBuffer sql = new StringBuffer();
      Date date = new Date();
      SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
      String time = simpleDateFormat.format(date);
      if ("1".equals(value)) {
        sql.append("update D_YinXiang set zhuangTai=1,guiDangRiQi= to_date('" + time + "','yyyy-mm-dd') where hangBiaoShi in (" + hangBiaoShi + ")");
      } else if ("2".equals(value)) {
        sql.append("update D_YinXiang set zhuangTai=0,guiDangRiQi=" + null + " where hangBiaoShi in (" + hangBiaoShi + ")");
      } 
      if (StringUtils.isNotBlank(sql.toString())) {
        this.yinXiangService.update(sql.toString());
        info = "500";
      } 
      if ("1".equals(value)) {
        this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", "biaoTi,dangHao,menLei", hangBiaoShi, "归档");
      } else if ("2".equals(value)) {
        this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", "biaoTi,dangHao,menLei", hangBiaoShi, "取消归档");
      } 
    } 
    responseWriter(response, info);
  }
  
  @RequestMapping({"/createHao.do"})
  @ResponseBody
  public void createHao(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    String server = request.getParameter("server");
    String table = request.getParameter("table");
    String info = "";
    try {
      Map<String, String> map = new HashMap<>();
      map.put("hao", "xuHao");
      map.put("table", table);
      map.put("server", server);
      map.put("baoGuanQiXian", baoGuanQiXian);
      map.put("guiDangNianDu", guiDangNianDu);
      info = this.yinXiangService.shengChengHao(map);
      rm.setSuccess(true);
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "0";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/paixuTest.do"})
  public String paixuTest(HttpServletRequest request) throws Exception {
    return "/danganzhengli/paixu/PaiXu";
  }
  
  @RequestMapping({"/check.do"})
  public String check(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String moShi = getRequest().getParameter("moShi");
    String czlx = getRequest().getParameter("czlx");
    DYinXiang dYinXiang = new DYinXiang();
    String keyWordResult = getRequest().getParameter("keyWordResult");
    dYinXiang = (DYinXiang)this.yinXiangService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
    Integer leiXing = dYinXiang.getLeiXing();
    getRequest().setAttribute("keyWordResult", keyWordResult);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(dYinXiang.getMenLei());
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    if (leiXing.intValue() == 1) {
      String ajdh = dYinXiang.getDangHao();
      String temp = ajdh.substring(0, ajdh.lastIndexOf(dam.getFenGeFu()));
      getRequest().setAttribute("rongQiDangHao", temp);
    } 
    String guanLianBiaoShi = hangBiaoShi;
    int gs = this.yinXiangService.getSumCount(this.server, "D_YINXIANGFUJIAN", guanLianBiaoShi, 0);
    dYinXiang.setGeShu(Integer.valueOf(gs));
    getRequest().setAttribute("czlx", "check");
    getRequest().setAttribute("moShi", moShi);
    getRequest().setAttribute("dYinXiang", dYinXiang);
    getRequest().setAttribute("table", this.table);
    this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", dYinXiang.getHangBiaoShi(), String.valueOf(dYinXiang.getBiaoTi()) + "$." + dYinXiang.getDangHao() + "$." + dYinXiang.getMenLei(), "查看");
    if (leiXing.intValue() == 1)
      return "/danganzhengli/yinxiang/CKPicDangAnEdit"; 
    if (leiXing.intValue() == 4)
      return "/danganzhengli/yinxiang/CKPicDangAnEdit"; 
    return "/danganzhengli/yinxiang/CKYinXiangDangAnEdit";
  }
  
  @RequestMapping({"/setAnJuanHao.do"})
  @ResponseBody
  public void setAnJuanHao(HttpServletRequest request, HttpServletResponse response) {
    String quanZongHao = request.getParameter("quanZongHao");
    String anJuanHaoStr = "1";
    if (StringUtils.isNotBlank(quanZongHao))
      anJuanHaoStr = this.yinXiangService.getAnJuanHaoStr(quanZongHao); 
    responseWriter(response, anJuanHaoStr);
  }
  
  @RequestMapping({"/setXuHao.do"})
  @ResponseBody
  public void setXuHao(HttpServletRequest request, HttpServletResponse response) {
    String quanZongHao = request.getParameter("quanZongHao");
    String anJuanHaoStr = "1";
    if (StringUtils.isNotBlank(quanZongHao)) {
      Map<String, String> map = CommStatic.getRequestParams(request);
      map.put("table", "D_YinXiang");
      map.put("hao", "anJuanHao");
      anJuanHaoStr = this.commonService.shengChengHao(map);
    } 
    responseWriter(response, anJuanHaoStr);
  }
  
  @RequestMapping({"/ceratLyDangHao.do"})
  @ResponseBody
  public void ceratLyDangHao(HttpServletRequest request, HttpServletResponse response) {
    Integer anJuanHaoStr = Integer.valueOf(1);
    String menLei = request.getParameter("menLei");
    if (StringUtils.isNotBlank(menLei)) {
      StringBuffer sql = new StringBuffer("select hangBiaoShi from D_YinXiang where zhuangTai not in (3,4) and menLei = '" + menLei + "'");
      List list = this.commonService.getList(sql.toString());
      anJuanHaoStr = Integer.valueOf(list.size() + 1);
    } 
    responseWriter(response, anJuanHaoStr.toString());
  }
  
  @RequestMapping({"/ceratLxXuHao.do"})
  @ResponseBody
  public void ceratLxXuHao(HttpServletRequest request, HttpServletResponse response) {
    Integer anJuanHaoStr = Integer.valueOf(1);
    String menLei = request.getParameter("menLei");
    String fenLei = request.getParameter("fenLei");
    if (StringUtils.isNotBlank(menLei) && StringUtils.isNotBlank(fenLei)) {
      StringBuffer sql = new StringBuffer("select hangBiaoShi from D_YinXiang where zhuangTai not in (3,4) and menLei = '" + menLei + "' and fenLei = '" + fenLei + "'");
      List list = this.commonService.getList(sql.toString());
      anJuanHaoStr = Integer.valueOf(list.size() + 1);
    } 
    responseWriter(response, anJuanHaoStr.toString());
  }
  
  @RequestMapping({"/newZP.do"})
  public String newZP(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String guanLianBiaoShi = getRequest().getParameter("guanLianBiaoShi");
    String moShi = getRequest().getParameter("moShi");
    String leiXing = getRequest().getParameter("leiXing");
    DYinXiang dYinXiang = new DYinXiang();
    DAnJuan anJuan = (DAnJuan)this.dAnJuanService.getById(Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
    if (StringUtils.isBlank(hangBiaoShi)) {
      User use = getCurrentUser();
      String[] bm = use.getBuMenMingChengs().split(" ");
      String menLei = getRequest().getParameter("menLei");
      JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(use.findCurrentBuMenBiaoShi()));
      if (jg != null) {
        dYinXiang.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
        dYinXiang.setGuiDangBuMenMingCheng(jg.getMingCheng());
      } 
      dYinXiang.setMenLei(menLei);
      dYinXiang.setDengJiRiQi(new Date());
      dYinXiang.setGuiDangRenMingCheng(use.getMingCheng());
      dYinXiang.setGuiDangRenBiaoShi(use.getBiaoShi());
      dYinXiang.setQuanZongHao(use.getQuanZongHao());
      dYinXiang.setLiJuanDanWeiMingCheng(bm[0]);
      dYinXiang.setLiJuanDanWeiBiaoShi(Integer.valueOf(use.findRootBuMenBiaoShi()));
      dYinXiang.setGeShu(Integer.valueOf(0));
      dYinXiang.setKaiFangZhuangTai(Integer.valueOf(0));
      dYinXiang.setZhuangTai(Integer.valueOf(0));
      dYinXiang.setGuanLianBiaoShi(anJuan.getHangBiaoShi());
      dYinXiang.setJieYueZhuangTai(Integer.valueOf(0));
      dYinXiang.setShenHeZhuangTai(Integer.valueOf(0));
      if (leiXing != null && StringUtils.isNotBlank(leiXing))
        dYinXiang.setLeiXing(Integer.valueOf(Integer.parseInt(leiXing))); 
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(dYinXiang.getMenLei());
      if (dam != null) {
        getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
        getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
    } 
    getRequest().setAttribute("moShi", moShi);
    getRequest().setAttribute("dYinXiang", dYinXiang);
    if (leiXing.equals("1"))
      return "/danganzhengli/yinxiang/PicDangAnEdit"; 
    return "/danganzhengli/yinxiang/YinXiangDangAnEdit";
  }
  
  @RequestMapping({"/uploadPage"})
  public String uploadPage(HttpServletRequest request, HttpServletResponse response) {
    String menLei = request.getParameter("menLei");
    String leiXing = request.getParameter("leiXing");
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    request.setAttribute("menLei", menLei);
    request.setAttribute("leiXing", leiXing);
    request.setAttribute("hangBiaoShi", hangBiaoShi);
    String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    String quanZongHao = getFtpQuanZong();
    request.setAttribute("quanZongHao", quanZongHao);
    String result = "";
    result = "/danganzhengli/yinxiang/html5UploadMain";
    return result;
  }
  
  @RequestMapping({"upload"})
  public ModelAndView execute(@RequestParam(value = "upload", required = false) MultipartFile upload, HttpServletRequest request, HttpServletResponse response) {
    ModelAndView model = new ModelAndView("/danganzhengli/yinxiang/upLoadPhotoForMM");
    long ff = System.currentTimeMillis();
    try {
      response.setContentType("text/html; charset=UTF-8");
      String saveName = upload.getOriginalFilename();
      String xdLuJing = getPath("D_YinXiang_DaoRu", getCurrentUser().getQuanZongHao());
      String zippath = FuJianPathUtils.obtainCiPanPath(xdLuJing);
      File file = new File(zippath.toString());
      if (!file.exists())
        file.mkdirs(); 
      String zipfilePath = String.valueOf(zippath) + File.separator + saveName;
      File targetFile = new File(zipfilePath);
      upload.transferTo(targetFile);
      if (targetFile.exists()) {
        unZipFiles(zipfilePath, zippath.toString());
        String fileName = saveName.substring(0, saveName.indexOf("."));
        File rootFile = new File(String.valueOf(zippath) + File.separator + fileName);
        if (rootFile.exists()) {
          File[] inFile = rootFile.listFiles();
          byte b;
          int i;
          File[] arrayOfFile1;
          for (i = (arrayOfFile1 = inFile).length, b = 0; b < i; ) {
            File fi = arrayOfFile1[b];
            String fileNa = fi.getName();
            String[] fileDA = fileNa.split("#");
            Integer hbs = insertImport(fi, Integer.valueOf(1), "", request);
            File childFile = new File(String.valueOf(rootFile.getPath()) + File.separator + fileNa);
            if (childFile.exists()) {
              File[] inChFile = childFile.listFiles();
              int j = 0;
              if (inChFile != null) {
                byte b1;
                int k;
                File[] arrayOfFile;
                for (k = (arrayOfFile = inChFile).length, b1 = 0; b1 < k; ) {
                  File f = arrayOfFile[b1];
                  String[] fTM = f.getName().split("\\.");
                  String rpath = String.valueOf(xdLuJing) + fileName + "/" + fileNa + "/";
                  if (fTM.length > 1) {
                    j++;
                    insertImport(f, Integer.valueOf(2), hbs + "," + j + "," + rpath, request);
                  } 
                  b1++;
                } 
              } 
              if (j > 0) {
                StringBuffer sql = new StringBuffer("update D_YinXiang set geShu=" + j + " where hangBiaoShi=" + hbs);
                this.yinXiangService.update(sql.toString());
              } 
            } 
            b++;
          } 
          targetFile.delete();
          model.addObject("uploadStatus", Integer.valueOf(1));
        } else {
          model.addObject("uploadStatus", Integer.valueOf(0));
        } 
      } 
    } catch (Exception e) {
      e.printStackTrace();
      model.addObject("uploadStatus", Integer.valueOf(0));
    } 
    System.out.println("开始时间=" + ff);
    System.out.println("结束时间=" + System.currentTimeMillis());
    System.out.println("所消耗时间=" + (System.currentTimeMillis() - ff));
    return model;
  }
  
  private Integer insertImport(File file, Integer leiXing, String data, HttpServletRequest request) throws InputFormatException, IOException, EncoderException {
    String ML = request.getParameter("menLei");
    String LX = request.getParameter("leiXing");
    Integer hbs = Integer.valueOf(-1);
    if (file.exists() && leiXing != null) {
      String fileNa = file.getName();
      String[] fileDA = fileNa.split("#");
      User user = getCurrentUser();
      String[] bm = user.getBuMenMingChengs().split(" ");
      String[] bmbs = user.getBuMenBiaoShi().split(" ");
      if (leiXing.intValue() == 1) {
        DYinXiang dYinXiang = new DYinXiang();
        dYinXiang.setQuanZongHao(user.getQuanZongHao());
        dYinXiang.setBaoGuanQiXian("Y");
        dYinXiang.setDengJiRiQi(new Date());
        if (bm.length > 1 && bmbs.length > 1) {
          dYinXiang.setGuiDangBuMenBiaoShi(Integer.valueOf(Integer.parseInt(bmbs[1])));
          dYinXiang.setGuiDangBuMenMingCheng(bm[1]);
        } 
        dYinXiang.setBiaoTi(fileDA[1]);
        dYinXiang.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(bmbs[0])));
        dYinXiang.setLiJuanDanWeiMingCheng(bm[0]);
        dYinXiang.setDengJiRiQi(new Date());
        dYinXiang.setGuiDangNianDu(Integer.valueOf(Integer.parseInt(fileDA[0].substring(0, 4))));
        dYinXiang.setGuiDangRenBiaoShi(user.getBiaoShi());
        dYinXiang.setGuiDangRenMingCheng(user.getMingCheng());
        dYinXiang.setKaiFangZhuangTai(Integer.valueOf(0));
        dYinXiang.setZhuangTai(Integer.valueOf(0));
        dYinXiang.setGuanLianBiaoShi(Integer.valueOf(0));
        dYinXiang.setJieYueZhuangTai(Integer.valueOf(0));
        dYinXiang.setShenHeZhuangTai(Integer.valueOf(0));
        dYinXiang.setLeiXing(Integer.valueOf(LX));
        dYinXiang.setMenLei(ML);
        dYinXiang.setMiJi(Integer.valueOf(1));
        dYinXiang.setGeShu(Integer.valueOf(0));
        dYinXiang.setHangBiaoShi(Integer.valueOf(this.yinXiangService.getPk()));
        StringBuffer sql_XuHao = new StringBuffer("select max(xuHao) from D_YinXiang where baoGuanQiXian='Y' and guiDangNianDu='" + dYinXiang.getGuiDangNianDu() + "'");
        List<E> list = this.yinXiangService.getList(sql_XuHao.toString());
        if (list != null && list.size() > 0) {
          if (list.get(0) != null) {
            dYinXiang.setXuHao(Integer.valueOf(Integer.parseInt(list.get(0).toString())));
            StringBuffer dangHao = new StringBuffer(String.valueOf(dYinXiang.getQuanZongHao()) + "#" + dYinXiang.getGuiDangNianDu() + "#" + dYinXiang.getBaoGuanQiXian() + "#");
            if (dYinXiang.getXuHao().intValue() < 10) {
              dangHao.append("000" + dYinXiang.getXuHao());
            } else if (dYinXiang.getXuHao().intValue() < 100) {
              dangHao.append("00" + dYinXiang.getXuHao());
            } else if (dYinXiang.getXuHao().intValue() < 1000) {
              dangHao.append("0" + dYinXiang.getXuHao());
            } else {
              dangHao.append(dYinXiang.getXuHao());
            } 
            dYinXiang.setDangHao(dangHao.toString());
          } else {
            dYinXiang.setXuHao(Integer.valueOf(1));
            String dangHao = String.valueOf(dYinXiang.getQuanZongHao()) + "#" + dYinXiang.getGuiDangNianDu() + "#" + dYinXiang.getBaoGuanQiXian() + "#0001";
            dYinXiang.setDangHao(dangHao);
          } 
        } else {
          dYinXiang.setXuHao(Integer.valueOf(1));
          String dangHao = String.valueOf(dYinXiang.getQuanZongHao()) + "#" + dYinXiang.getGuiDangNianDu() + "#" + dYinXiang.getBaoGuanQiXian() + "#0001";
          dYinXiang.setDangHao(dangHao);
        } 
        if ("1".equals(LX)) {
          dYinXiang.setFenLeiHao("ZP");
          dYinXiang.setFenLeiMingCheng("照片");
        } else if ("2".equals(LX)) {
          dYinXiang.setFenLeiHao("LY");
          dYinXiang.setFenLeiMingCheng("录音");
        } else if ("3".equals(LX)) {
          dYinXiang.setFenLeiHao("LX");
          dYinXiang.setFenLeiMingCheng("录像");
        } 
        this.yinXiangService.save(dYinXiang);
        hbs = dYinXiang.getHangBiaoShi();
        this.yinXiangService.addDA_RiZhi(getCurrentUser(), this.server, "D_YinXiang", dYinXiang.getHangBiaoShi(), String.valueOf(dYinXiang.getBiaoTi()) + "$." + dYinXiang.getDangHao() + "$." + dYinXiang.getMenLei(), "新增");
      } else {
        String[] da = data.split(",");
        String[] fTM = file.getName().split("\\.");
        YinXiangFuJian fuJian = new YinXiangFuJian();
        fuJian.setHangBiaoShi(Integer.valueOf(this.yinXiangService.getPk("D_YinXiangFuJian")));
        fuJian.setGuanLianBiaoShi(Integer.valueOf(Integer.parseInt(da[0])));
        fuJian.setBiaoTi(fTM[0]);
        fuJian.setWenJianShunXuHao(Integer.valueOf(Integer.parseInt(da[1])));
        fuJian.setWenJianCunFangLuJing(da[2]);
        fuJian.setYuanWenJianMingCheng(file.getName());
        fuJian.setShangChuanRiQi(new Date());
        fuJian.setWenJianGeShi(fTM[1]);
        fuJian.setWenJianDaXiao(bytes2kb(file.length()));
        fuJian.setBeiYongZiFu(String.valueOf(fuJian.getWenJianCunFangLuJing()) + fuJian.getYuanWenJianMingCheng());
        saveFile(file, fuJian, LX);
      } 
    } 
    return hbs;
  }
  
  private void saveFile(File wenJian, YinXiangFuJian fuJian, String LX) throws IOException, InputFormatException, EncoderException {
    String realPath = wenJian.getPath();
    Boolean fileExitFlag = Boolean.valueOf(false);
    File file = new File(realPath);
    if (file.exists()) {
      fileExitFlag = Boolean.valueOf(true);
    } else if (file.createNewFile()) {
      fileExitFlag = Boolean.valueOf(true);
    } 
    if (fileExitFlag.booleanValue()) {
      if ("1".equals(LX)) {
        BufferedImage bufImg = ImageUtils.byteToImage(File2byte(wenJian));
        String rePath = realPath.substring(0, realPath.lastIndexOf(File.separator));
        ImageUtils.picThumbOfBufferedImage(bufImg, String.valueOf(rePath) + "/", fuJian.getYuanWenJianMingCheng());
        System.out.println(String.valueOf(fuJian.getYuanWenJianMingCheng()) + " 的缩略图已生成");
      } 
      this.commonService.save(fuJian);
    } 
  }
  
  protected String getPath(String table, String quanZong) {
    Calendar cal = Calendar.getInstance();
    int year = cal.get(1);
    if (StringUtils.isBlank(quanZong))
      quanZong = "001"; 
    String path = String.valueOf(quanZong) + File.separator + year + File.separator + table + File.separator;
    path = FuJianPathUtils.dealBasePath(path);
    return path;
  }
  
  protected Boolean isImage(String type) {
    Boolean bool = Boolean.valueOf(false);
    if ("jpg".equals(type) || "jpeg".equals(type) || "png".equals(type) || "JPG".equals(type) || "JPEG".equals(type) || "PNG".equals(type))
      bool = Boolean.valueOf(true); 
    return bool;
  }
  
  protected String bytes2kb(long bytes) {
    BigDecimal fileSize = new BigDecimal(bytes);
    BigDecimal megabyte = new BigDecimal(1048576);
    float returnValue = fileSize.divide(megabyte, 2, 0)
      .floatValue();
    if (returnValue > 1.0F)
      return String.valueOf(returnValue) + "MB"; 
    BigDecimal kilobyte = new BigDecimal(1024);
    returnValue = fileSize.divide(kilobyte, 2, 0)
      .floatValue();
    return String.valueOf(returnValue) + "KB";
  }
  
  public byte[] File2byte(File file) {
    byte[] buffer = (byte[])null;
    try {
      FileInputStream fis = new FileInputStream(file);
      ByteArrayOutputStream bos = new ByteArrayOutputStream();
      byte[] b = new byte[1024];
      int n;
      while ((n = fis.read(b)) != -1)
        bos.write(b, 0, n); 
      fis.close();
      bos.close();
      buffer = bos.toByteArray();
    } catch (FileNotFoundException e) {
      e.printStackTrace();
    } catch (IOException e) {
      e.printStackTrace();
    } 
    return buffer;
  }
  
  public void unZipFiles(String zipFileName, String extPlace) throws Exception {
    long ff = System.currentTimeMillis();
    System.out.println("开始时间=" + ff);
    System.setProperty("sun.zip.encoding", System.getProperty("sun.jnu.encoding"));
    try {
      (new File(extPlace)).mkdirs();
      File f = new File(zipFileName);
      ZipFile zipFile = new ZipFile(zipFileName, "GBK");
      if (!f.exists() && f.length() <= 0L)
        throw new Exception("要解压的文件不存在!"); 
      File tempFile = new File(extPlace);
      String strPath = tempFile.getAbsolutePath();
      Enumeration<?> e = zipFile.getEntries();
      while (e.hasMoreElements()) {
        ZipEntry zipEnt = (ZipEntry)e.nextElement();
        String gbkPath = zipEnt.getName();
        if (zipEnt.isDirectory()) {
          String str = String.valueOf(strPath) + File.separator + gbkPath;
          File dir = new File(str);
          dir.mkdirs();
          continue;
        } 
        InputStream is = zipFile.getInputStream(zipEnt);
        BufferedInputStream bis = new BufferedInputStream(is);
        gbkPath = zipEnt.getName();
        String strtemp = String.valueOf(strPath) + File.separator + gbkPath;
        String strsubdir = gbkPath;
        for (int i = 0; i < strsubdir.length(); i++) {
          if (strsubdir.substring(i, i + 1).equalsIgnoreCase("/")) {
            String temp = String.valueOf(strPath) + File.separator + strsubdir.substring(0, i);
            File subdir = new File(temp);
            if (!subdir.exists())
              subdir.mkdir(); 
          } 
        } 
        FileOutputStream fos = new FileOutputStream(strtemp);
        BufferedOutputStream bos = new BufferedOutputStream(fos);
        int c;
        while ((c = bis.read()) != -1)
          bos.write((byte)c); 
        bis.close();
        is.close();
        bos.close();
        fos.close();
      } 
      zipFile.close();
      System.out.println("结束时间=" + System.currentTimeMillis());
      System.out.println("所消耗时间=" + (System.currentTimeMillis() - ff));
    } catch (Exception exception) {}
  }
  
  @RequestMapping({"/muluPrint.do"})
  public String muluPrint(HttpServletRequest request, HttpServletResponse response) {
    try {
      User user = getCurrentUser();
      String ml = getRequest().getParameter("menLei");
      String fenLei = getRequest().getParameter("fenLei");
      String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
      String leiXing = getRequest().getParameter("leiXing");
      String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
      String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
      String type = getRequest().getParameter("type");
      StringBuilder sql = new StringBuilder();
      if ("0".equals(type)) {
        if ("1".equals(leiXing)) {
          if (StringUtils.isNotBlank(hangBiaoShis)) {
            sql.append("select yx.hangbiaoshi,yx.anjuanhao,yx.biaoti,(select count(yxfj.hangBiaoShi) from d_yinXiangFuJian yxfj where 1=1 and  yxfj.guanlianbiaoshi=yx.hangbiaoshi and leiXing = '" + leiXing + "') as zhangShu,(select max(yxfj.zhizuoshijian) from d_yinxiangfujian yxfj where yxfj.guanlianbiaoshi=yx.hangbiaoshi) as kaishishijian,")
              .append("(select min(yxfj.zhizuoshijian) from d_yinxiangfujian yxfj where yxfj.guanlianbiaoshi=yx.hangbiaoshi) as jieshushijian from D_YINXIANG yx where yx.zhuangtai!=3 and yx.leiXing=");
          } else {
            sql.append("select yx.hangbiaoshi,yx.anjuanhao,yx.biaoti,(select count(yxfj.hangBiaoShi) from d_yinXiangFuJian yxfj where 1=1 and  yxfj.guanlianbiaoshi=yx.hangbiaoshi and leiXing = '" + leiXing + "') as zhangShu,(select max(yxfj.zhizuoshijian) from d_yinxiangfujian yxfj where yxfj.guanlianbiaoshi=yx.hangbiaoshi) as kaishishijian,")
              .append("(select min(yxfj.zhizuoshijian) from d_yinxiangfujian yxfj where yxfj.guanlianbiaoshi=yx.hangbiaoshi) as jieshushijian from D_YINXIANG yx where yx.zhuangtai!=3 and yx.leiXing=");
          } 
        } else {
          sql.append("select yx.heHao,yx.biaoTi,yx.liJuanDanWeiMingCheng,yx.sheyingren,yx.sheyingriqi,yx.sheyingshichang,yx.dangHao from d_yinxiang  yx where yx.zhuangtai!=3 and yx.leiXing=");
        } 
        sql.append(leiXing);
        if (StringUtils.isNotBlank(guiDangNianDu)) {
          hangBiaoShis = hangBiaoShis.replaceAll(",", "','");
          sql.append(" and yx.guiDangNianDu=").append(guiDangNianDu);
        } 
        if (StringUtils.isNotBlank(hangBiaoShis)) {
          hangBiaoShis = hangBiaoShis.replaceAll(",", "','");
          sql.append(" and yx.hangBiaoShi in ('" + hangBiaoShis + "')");
        } 
      } else {
        sql.append("select yx.wenjianshunxuhao,(select danghao from D_YINXIANG where hangbiaoshi in('").append(hangBiaoShis).append("')) as danghao,yx.biaoti,yx.zhizuozhe,yx.zhizuoshijian, null as zpdanghao from D_YINXIANGFUJIAN yx where yx.guanlianbiaoshi in('").append(hangBiaoShis).append("')");
      } 
      if (ml.equals("LX") && 
        StringUtils.isNotBlank(fenLei) && fenLei != "undefined")
        sql.append(" and fenLei='" + fenLei + "'"); 
      if ("0".equals(type)) {
        if ("1".equals(leiXing)) {
          sql.append(" order by yx.anjuanhao asc ");
        } else {
          sql.append(" order by yx.xuHao asc ");
        } 
      } else {
        sql.append(" order by yx.wenjianshunxuhao asc ");
      } 
      String dh = "";
      List<Map<String, Object>> list = this.commonService.getListSQL(sql.toString());
      if (list != null && list.size() > 0)
        for (int i = 0; i < list.size(); i++) {
          Map<String, Object> smap = list.get(i);
          if ("0".equals(type)) {
            if ("1".equals(leiXing)) {
              String kssj = (String)smap.get("KAISHISHIJIAN");
              String jssj = (String)smap.get("JIESHUSHIJIAN");
              if (StringUtils.isNotBlank(kssj) && StringUtils.isBlank(jssj)) {
                String[] sj_ = kssj.split(" ");
                smap.put("KAISHISHIJIAN", sj_[0]);
                smap.put("JIESHUSHIJIAN", sj_[0]);
              } else {
                smap.put("KAISHISHIJIAN", "");
                smap.put("JIESHUSHIJIAN", "");
              } 
              if (StringUtils.isBlank(kssj) && StringUtils.isNotBlank(jssj)) {
                String[] sj_ = jssj.split(" ");
                smap.put("KAISHISHIJIAN", sj_[0]);
                smap.put("JIESHUSHIJIAN", sj_[0]);
              } else {
                smap.put("KAISHISHIJIAN", "");
                smap.put("JIESHUSHIJIAN", "");
              } 
              if (StringUtils.isNotBlank(kssj) && StringUtils.isNotBlank(jssj)) {
                String[] kssj_ = jssj.split(" ");
                String[] jssj_ = kssj.split(" ");
                smap.put("KAISHISHIJIAN", kssj_[0]);
                smap.put("JIESHUSHIJIAN", jssj_[0]);
              } else {
                smap.put("KAISHISHIJIAN", "");
                smap.put("JIESHUSHIJIAN", "");
              } 
              if (StringUtils.isBlank(kssj) && StringUtils.isBlank(jssj)) {
                smap.put("KAISHISHIJIAN", "");
                smap.put("JIESHUSHIJIAN", "");
              } 
            } else {
              String cyrq = (String)smap.get("SHEYINGRIQI");
              if (StringUtils.isNotBlank(cyrq)) {
                String[] cyrq_ = cyrq.split(" ");
                smap.put("SHEYINGRIQI", cyrq_[0]);
              } else {
                smap.put("SHEYINGRIQI", "");
              } 
            } 
          } else {
            String zzsj = (String)smap.get("ZHIZUOSHIJIAN");
            if (StringUtils.isNotBlank(zzsj)) {
              String[] zzsj_ = zzsj.split(" ");
              smap.put("ZHIZUOSHIJIAN", zzsj_[0]);
            } else {
              smap.put("ZHIZUOSHIJIAN", "");
            } 
            dh = (String)smap.get("DANGHAO");
            String wjsxh = formatXuHao((String)smap.get("WENJIANSHUNXUHAO"));
            String zpjndh = "";
            if (StringUtils.isNotBlank(dh))
              zpjndh = String.valueOf(dh) + "-" + wjsxh; 
            smap.put("ZPDANGHAO", zpjndh);
          } 
        }  
      HashMap<String, Object> params = new HashMap<>();
      if ("0".equals(type)) {
        if (!"1".equals(leiXing)) {
          if (StringUtils.isBlank(fenLei) || fenLei.equals("undefined"))
            fenLei = ""; 
          List<XiTongDaiMa> fl = this.commonService.xiTongDaiMaList("22332");
          String flmc = "";
          if (StringUtils.isNotBlank(fenLei) && !"null".equals(fenLei))
            for (int j = 0; j < fl.size(); j++) {
              XiTongDaiMa xtdm2 = fl.get(j);
              String dm = xtdm2.getZiFuDaiMa();
              String mc = xtdm2.getMingCheng();
              if (fenLei.equals(dm)) {
                flmc = mc;
                break;
              } 
            }  
          params.put("fenLeiHao", flmc);
          params.put("baoGuanQiXianMingCheng", "永久");
        } 
      } else {
        params.put("dangHao", dh);
      } 
      String model = "sxdaml.jasper";
      String mb_type = "sxdaml";
      if ("0".equals(type)) {
        if ("1".equals(leiXing)) {
          model = "zhaopiananjuanmulu.jasper";
          mb_type = "zpdaml";
        } 
      } else {
        model = "zpjnml.jasper";
        mb_type = "zpjnml";
      } 
      String printService = AppConfiguration.getConfigValue("printServlet");
      list = CommStatic.print_BuKongXing(list, 10);
      PrintUtil.printService(request, user, printService, model, list, params, mb_type);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  private String formatXuHao(String vu) {
    String str = "";
    if (StringUtils.isNotBlank(vu)) {
      if (vu.length() == 1) {
        str = "00" + vu;
      } else if (vu.length() == 2) {
        str = "0" + vu;
      } 
    } else {
      str = "0001";
    } 
    return str;
  }
  
  @RequestMapping({"/getFuJians.do"})
  public String getFuJians(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String menLei = request.getParameter("menLei");
    StringBuffer sb = new StringBuffer();
    try {
      sb.append("select hangBiaoShi, biaoTi,yuanWenJianMingCheng,zhiZuoZhe,zhiZuoShiJian,shangChuanRiQi,wenJianShunXuHao,guanLianBiaoShi from  D_YINXIANGFUJIAN");
      sb.append(" where 1=1 ");
      sb.append(" and guanLianBiaoShi = ").append(hangBiaoShi);
      sb.append(" and menLei='" + menLei + "'");
      sb.append(" order by wenJianShunXuHao");
      List list_ = this.commonService.getListSQL(sb.toString());
      PagerVO pagevo = new PagerVO();
      pagevo.setRows(list_);
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("YUANWENJIANMINGCHENG", "yuanWenJianMingCheng").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi")
        .replaceAll("ZHIZUOZHE", "zhiZuoZhe").replaceAll("ZHIZUOSHIJIAN", "zhiZuoShiJian").replaceAll("SHANGCHUANRIQI", "shangChuanRiQi").replaceAll("WENJIANSHUNXUHAO", "wenJianShunXuHao");
      write(response, jsonString);
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } 
    return null;
  }
  
  @RequestMapping({"/getFuJianInfo.do"})
  public String getFuJianInfo(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String keyWordResult = request.getParameter("keyWordResult");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String leiXing = request.getParameter("leiXing");
    String menLei = request.getParameter("menLei");
    String table = request.getParameter("table");
    StringBuffer sb = new StringBuffer();
    try {
      sb.append("select * from  D_YINXIANGFUJIAN");
      sb.append(" where 1=1 ");
      sb.append(" and hangBiaoShi = ").append(hangBiaoShi);
      List<Map<String, Object>> list_ = this.commonService.getListSQL(sb.toString());
      Map<String, Object> temp = list_.get(0);
      temp.get("HANGBIAOSHI");
      if (StringUtils.isNotBlank((String)temp.get("BIAOTI")))
        request.setAttribute("biaoTi", temp.get("BIAOTI")); 
      if (temp.get("YUANWENJIANMINGCHENG") != null && temp.get("YUANWENJIANMINGCHENG") != "")
        request.setAttribute("yuanWenJianMingCheng", temp.get("YUANWENJIANMINGCHENG")); 
      if (temp.get("SHANGCHUANRIQI") != null && temp.get("SHANGCHUANRIQI") != "")
        request.setAttribute("shangChuanRiQi", temp.get("SHANGCHUANRIQI").toString().substring(0, 10)); 
      if (temp.get("ZHIZUOSHIJIAN") != null && temp.get("ZHIZUOSHIJIAN") != "")
        request.setAttribute("zhiZuoShiJian", temp.get("ZHIZUOSHIJIAN").toString()); 
      if (temp.get("ZHIZUOZHE") != null && temp.get("ZHIZUOZHE") != "")
        request.setAttribute("zhiZuoZhe", temp.get("ZHIZUOZHE")); 
      if (temp.get("WENJIANSHUNXUHAO") != null && temp.get("WENJIANSHUNXUHAO") != "")
        request.setAttribute("wenJianShunXuHao", temp.get("WENJIANSHUNXUHAO")); 
      if (temp.get("SHICHANG") != null && temp.get("SHICHANG") != "")
        request.setAttribute("shiChang", temp.get("SHICHANG")); 
      if (temp.get("ZERENZHE") != null && temp.get("ZERENZHE") != "")
        request.setAttribute("zeRenZhe", temp.get("ZERENZHE")); 
      if (temp.get("ZHIZUOZHEDANWEI") != null && temp.get("ZHIZUOZHEDANWEI") != "")
        request.setAttribute("zhiZuoZheDanWei", temp.get("ZHIZUOZHEDANWEI")); 
      if (temp.get("ZHIZUOZHEBUMEN") != null && temp.get("ZHIZUOZHEBUMEN") != "")
        request.setAttribute("zhiZuoZheBuMen", temp.get("ZHIZUOZHEBUMEN")); 
      if (temp.get("WENJIANGESHI") != null && temp.get("WENJIANGESHI") != "")
        request.setAttribute("wenJianGeShi", temp.get("WENJIANGESHI")); 
      if (temp.get("BEIZHU") != null && temp.get("BEIZHU") != "")
        request.setAttribute("beiZhu", temp.get("BEIZHU")); 
      if (temp.get("WENJIANMINGCHENG") != null && temp.get("WENJIANMINGCHENG") != "")
        request.setAttribute("wenJianMingCheng", temp.get("WENJIANMINGCHENG")); 
      if (temp.get("WENJIANCUNFANGLUJING") != null && temp.get("WENJIANCUNFANGLUJING") != "")
        request.setAttribute("wenJianCunFangLuJing", temp.get("WENJIANCUNFANGLUJING")); 
      if (temp.get("CHANGQIBAOCUNBIAOSHI") != null && temp.get("CHANGQIBAOCUNBIAOSHI") != "")
        request.setAttribute("changQiBaoCunBiaoShi", temp.get("CHANGQIBAOCUNBIAOSHI")); 
      String fileUrl = "";
      if (temp.get("CHANGQIBAOCUNBIAOSHI") != null && temp.get("CHANGQIBAOCUNBIAOSHI") != "")
        if (temp.get("CHANGQIBAOCUNBIAOSHI").toString().equals("1") || !leiXing.equals("1") || !leiXing.equals("4")) {
          fileUrl = String.valueOf(temp.get("WENJIANCUNFANGLUJING").toString()) + temp.get("WENJIANMINGCHENG").toString();
        } else {
          fileUrl = String.valueOf(temp.get("WENJIANCUNFANGLUJING").toString()) + temp.get("YUANWENJIANMINGCHENG").toString();
        }  
      String pUrl = overViewYuanWen(request, fileUrl, temp.get("CHANGQIBAOCUNBIAOSHI"), leiXing);
      System.out.println("访问的URL-----" + pUrl);
      request.setAttribute("fileUrl", pUrl);
      getRequest().setAttribute("table", table);
      getRequest().setAttribute("menLei", menLei);
      getRequest().setAttribute("guanLianBiaoShi", guanLianBiaoShi);
      getRequest().setAttribute("dYinXiang", temp);
      getRequest().setAttribute("hangBiaoShi", hangBiaoShi);
      getRequest().setAttribute("keyWordResult", keyWordResult);
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } 
    if (leiXing.equals("1"))
      return "/danganzhengli/yinxiang/PicDangAnView"; 
    if ("4".equals(leiXing))
      return "/danganzhengli/yinxiang/PicDangAnView"; 
    return "/danganzhengli/yinxiang/YinXiangDangAnView";
  }
  
  @RequestMapping({"/search.do"})
  public String getsearch(HttpServletRequest request, HttpServletResponse response, Model model) {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if ((("querystr".equals(thisName) ? 0 : 1) & ("zuHeType".equals(thisName) ? 0 : 1)) != 0)
        jsonObject.put(thisName, thisValue); 
    } 
    Iterator<String> iterator = jsonObject.keys();
    StringBuffer sqlSearch = new StringBuffer();
    StringBuffer sqlWhere = new StringBuffer();
    sqlSearch.append(" 1=1  and guanlianbiaoshi in(select hangbiaoshi from d_yinxiang where 1=1");
    String biaoTi = request.getParameter("biaoTi");
    String menLei = request.getParameter("menLei");
    try {
      boolean isqx = true;
      sqlWhere.append(" and zhuangTai not in (3,4) and menLei='" + menLei + "'");
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      sqlSearch.append(" )");
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !key.equals("menLei") && 
          !"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"checkbox".equals(key) && !"zuHeType".equals(key)) {
          if (!key.contains("like")) {
            sqlSearch.append(" and ").append(key).append(" = '").append(value).append("'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          if ("biaoTi".equals(key))
            sqlSearch.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'"); 
        } 
      } 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      PagerVO pagevo = new PagerVO();
      StringBuffer sql = new StringBuffer("select hangBiaoShi,guanLianBiaoShi, biaoTi,yuanWenJianMingCheng,zhiZuozhe,zhiZuoShiJian,shangChuanRiQi,(select  CASE WHEN s.danghao is not  null then s.danghao ||'-' end  from d_yinxiang s where s.hangbiaoshi=t.guanlianbiaoshi) || wenJianShunXuHao as wenJianShunXuHao from  D_YINXIANGFUJIAN t where ");
      pagevo = this.yinXiangService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "t.wenJianShunXuHao asc"), "D_YINXIANGFUJIAN");
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("YUANWENJIANMINGCHENG", "yuanWenJianMingCheng")
        .replaceAll("ZHIZUOZHE", "zhiZuoZhe").replaceAll("ZHIZUOSHIJIAN", "zhiZuoShiJian").replaceAll("SHANGCHUANRIQI", "shangChuanRiQi").replaceAll("WENJIANSHUNXUHAO", "wenJianShunXuHao")
        .replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi");
      write(response, jsonString);
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } 
    return null;
  }
  
  public String overViewYuanWen(HttpServletRequest request, String path, Object cqbs, String leiXing) throws IOException {
    String ofdPath = "";
    String cqbcbs = cqbs.toString();
    String quanZongHao = getFtpQuanZong();
    path = path.replaceAll("·", "-");
    if ("1".equals(cqbcbs)) {
      int dakaifangshi = Integer.parseInt(AppConfiguration.getConfigValue("CPCNS_DAKAIFANGSHI"));
      if (dakaifangshi == 0 || leiXing.equals("1") || leiXing.equals("4")) {
        FtpConfig ftpcfig = this.commonService.getFtpAccInfo(quanZongHao);
        String ftpPath = path.substring(0, path.lastIndexOf("/") + 1);
        String localFileName = path.substring(path.lastIndexOf("/") + 1, path.length());
        String wjgs = localFileName.substring(localFileName.lastIndexOf(".") + 1);
        String localFilePath = FuJianPathUtils.obtainCiPanPath("temp" + File.separator + ftpPath);
        File localFilePath_ = new File(localFilePath);
        if (localFilePath_.isDirectory())
          localFilePath_.mkdirs(); 
        System.out.println("path是：" + path + ";下载到本地路径是" + localFilePath);
        FtpUtil ftp = new FtpUtil();
        boolean jieguo = ftp.ftpDownload(ftpcfig, ftpPath, localFileName, localFilePath, localFileName);
        if (leiXing.equals("1") || leiXing.equals("4")) {
          List<Map<String, Object>> shuiYinList = this.fuJianService.queryShuiYin("ZP");
          if (jieguo && shuiYinList != null && ((Map)shuiYinList.get(0)).get("VISIBLE").equals("true"))
            waterMark.pressText(String.valueOf(localFilePath) + localFileName, String.valueOf(localFilePath) + localFileName, shuiYinList, wjgs); 
        } 
        path = "http://" + request.getServerName() + ":" + request.getServerPort() + StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("DianZiDangAnLuJing")) + File.separator + "temp" + File.separator + ftpPath + localFileName);
      } else if (1 == dakaifangshi) {
        path = getFtpFuJianPath(quanZongHao, path, request);
      } 
      ofdPath = path;
    } else {
      ofdPath = FuJianPathUtils.obtainWebPath(path, request);
    } 
    System.out.println("web访问的路径是：" + ofdPath);
    return ofdPath;
  }
  
  public String getFtpFuJianPath(String quanZongHao, String path, HttpServletRequest request) {
    String ftpPath = "";
    String qzh = getFtpQuanZong();
    System.out.println("全宗号是：：" + qzh);
    ftpPath = StringUtil.dealBasePath(String.valueOf(getFTPString(qzh)) + "/" + path);
    System.out.println("ftp文件数科访问路径====================" + ftpPath);
    return ftpPath;
  }
  
  private String getFTPString(String quanZongHao) {
    String ftpsql = "select yongHuMing,yongHuMiMa,fuWuQi,yingSheIP,DUANKOU from T_FTPCONFIG where zhuangTai = 1 and quanZongHao='" + quanZongHao + "'";
    Object[] objects = this.fuJianService.getFtpInfo(ftpsql);
    String ftpPath = "";
    if (objects != null) {
      String ftpName = objects[0].toString();
      String ftpMiMa = objects[1].toString();
      String fuWuQi = objects[2].toString();
      String duankou = objects[4].toString();
      if (objects[3] != null) {
        String yingSheIP = objects[3].toString();
        if (yingSheIP != null && !"".equals(yingSheIP))
          fuWuQi = String.valueOf(yingSheIP) + ":" + duankou; 
      } 
      ftpPath = "ftp://" + ftpName + ":" + ftpMiMa + "@" + fuWuQi;
    } 
    return ftpPath;
  }
  
  public String pinJieZhuBiaoTable() {
    String table = getRequest().getParameter("table");
    String type = getDangAnType();
    this.tablePrefix = getRequest().getParameter("tablePrefix");
    if (StringUtils.isNotBlank(this.tablePrefix) && StringUtils.isNotBlank(type))
      if (FuJianConstants.DIANZIDANGAN_LEIXING_WS.equals(type)) {
        table = "WenJian";
      } else if (FuJianConstants.DIANZIDANGAN_LEIXING_XBZ.equals(type)) {
        table = "WenJian_XinBiaoZhun";
      } else if (FuJianConstants.DIANZIDANGAN_LEIXING_QZJ.equals(type)) {
        table = "QuanZongJuanXinXi";
      } else if (FuJianConstants.DIANZIDANGAN_LEIXING_ZDHD.equals(type) || FuJianConstants.DIANZIDANGAN_LEIXING_SW.equals(type)) {
        table = "FuJian";
      } else {
        table = "YinXiang";
      }  
    if (FuJianConstants.DIANZIDANGAN_LEIXING_ZDHD.equals(type) || FuJianConstants.DIANZIDANGAN_LEIXING_SW.equals(type)) {
      table = String.valueOf(this.tablePrefix) + table;
    } else if (StringUtils.isNotBlank(this.tablePrefix)) {
      table = String.valueOf(this.tablePrefix) + "_" + table;
    } 
    return table;
  }
  
  public String getDangAnType() {
    String type = getRequest().getParameter("type");
    if (StringUtils.isBlank(type))
      type = FuJianConstants.DIANZIDANGAN_LEIXING_WS; 
    return type;
  }
}
